Eclipse Platform Release 3.7

## org.eclipse.ui.navigator
Class LinkHelperService

    java.lang.Object
      org.eclipse.ui.navigator.LinkHelperService

    public class LinkHelperService

extends Object

Manages the link helpers which are used to define the behavior of the link with editor function.

Since:
  3.4
Restriction:
  This class is not intended to be instantiated by clients.

Method Summary
`ILinkHelper[]` `getLinkHelpersFor(IEditorInput input)`
`ILinkHelper[]` `getLinkHelpersFor(Object anObject)`
`IStructuredSelection` `getSelectionFor(IEditorInput input)` Return a selection that contains the elements that the given editor input represent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLinkHelpersFor

    public ILinkHelper[] getLinkHelpersFor(Object anObject)

  Parameters:
    `anObject` - An object from the viewer
  Returns:
    An array of link helpers that know about elements in the selection or null

### getLinkHelpersFor

    public ILinkHelper[] getLinkHelpersFor(IEditorInput input)

  Parameters:
    `input` - The Editor input from the active viewer.
  Returns:
    An array of link helpers that know about elements in the selection or null

### getSelectionFor

    public IStructuredSelection getSelectionFor(IEditorInput input)

  Return a selection that contains the elements that the given editor input represent.

  Parameters:
    `input` - the editor input
  Returns:
    a selection that contains the elements that the given editor input represent

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.